cancel
Showing results for 
Search instead for 
Did you mean: 

Translators erros

Anybody knows how solve the java problem

 

"UGII_JAVA_HOME must be defined
The Java Runtime Enviroment (JRE) was not found
Install your own JRE and set UGII_JAVA_HOME
in C:\Siemens\NX 9.0\ugii\ugii_env.dat
to the directory containing the bin and
lib directories.
Pressione qualquer tecla para continuar. . ."

 

I have been tried the proceedure presented on error message, but don´t work.

 

Alex 

 

 

9 REPLIES

Re: Translators erros

Phenom
Phenom

Do you have Java installed? It looks like you are using Windows, so take a look in:

C:\Program Files\Java

In there you should have Java installed. Mine looks like this:

JavaHome.png

So you can see that I have jre7 installed in C:\Program Files\Java. The message you had says UGII_JAVA_HOME should be set to the folder containing the bin and lib folders. So I have mine set to "C:\Program Files\Java\jre7".

You can set this either as a system environment variable or by editing the ugii_env.dat as suggested in the message.

Graham Inchley Snr R&D Engineer (Systems Development), Sandvik Coromant
Lenovo ThinkPad W540, Win7, 16GB. Developing in: Java | C | C# | KF
Production: NX8.5.3.3 MP11 64bit Testing: NX9.0.2.5

Re: Translators erros

Valued Contributor
Valued Contributor

We had the same problem. Using prior posts we fixed it like this:

 

We needed to install the 64 bit version of Java. (We left the 32 bit installed)

 

We then had to set this env variable:

 

UGII_JAVA_HOME                         %ProgramFiles%\Java\jre7

 

Some computers required a reboot to make it work, some did not.

 

On 2 computers we had to change the env variable to point directly to where 64 bit java was installed-----like this:

 

UGII_JAVA_HOME                   C:\Program Files\Java\jre7

 

Good luck---hope this helps!.............JD

 

 

Re: Translators erros

Phenom
Phenom

Maybe I should have made it clear. NX9 requires 64bit Java. This is implicitly shown by the use of "C:\Program Files" instead of the 32 bit location "C:\Program Files (x86)".

 

Graham Inchley Snr R&D Engineer (Systems Development), Sandvik Coromant
Lenovo ThinkPad W540, Win7, 16GB. Developing in: Java | C | C# | KF
Production: NX8.5.3.3 MP11 64bit Testing: NX9.0.2.5

Re: Translators erros

Thanks!

I´m going to chech this.

 

Alex

Re: Translators erros

Works!!!!

 

Thanks everybody!!!

Re: Translators errors

Experimenter
Experimenter

I am using NX10 and i have jre7 installed to run my help (f1) correctly - works fine, but i notice that it conlficts with external translator java - need jre8 or higher.

 

how do i fix this conflict?

Re: Translators errors

Valued Contributor
Valued Contributor

Download from the Oracle website jre1.8.0_121. That will install the latest version of java. Both help and the translators should both work. You can unistall jre7.

Also, you will need to point the variable to the new java location per below

 

UGII_JAVA_HOME                  %ProgramFiles%\Java\jre1.8.0_121

Re: Translators errors

Valued Contributor
Valued Contributor
jre-8u121-windows-x64.exe is the name of the download I used

Re: Translators erros

Experimenter
Experimenter
Can I install iges translator to my NX 11 Learning Edition to allow me to Import or Open IGES and STEP files in NX 11?